dots.v2.vpc_nat_gateways.byId().put()

Generated on 5 Nov 2026 from DoTs version v1.23.0

Usage

client.v2.vpc_nat_gateways.byId(id).put(body: Vpc_nat_gateway_update, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Vpc_nat_gatewaysPutResponse>

Description

To update the configuration of an existing VPC NAT Gateway, send a PUT request to /v2/vpc_nat_gateways/{id}. The request must contain a full representation of the VPC NAT Gateway including existing attributes.

Parameters

Path Parameters

id string required

Example: 70e1b58d-cdec-4e95-b3ee-2d4d95feff51

The unique identifier of the VPC NAT gateway.

Request Body

name string required

Example: my-vpc-nat-gateway

The human-readable name of the VPC NAT gateway.

size integer required

Example: 1

The size of the VPC NAT gateway.

vpcs array of objects optional

An array of VPCs associated with the VPC NAT gateway.

Show child properties
vpcUuid string optional

Example: 0d3db13e-a604-4944-9827-7ec2642d32ac

The unique identifier of the VPC to which the NAT gateway is attached.

subnetUuid string optional

Example: cbd79771-23eb-49be-b5ea-59cc56222622

The unique identifier of the VPC subnet to which the NAT gateway is attached.

defaultGateway boolean optional

Example: false

The classification of the NAT gateway as the default egress route for the VPC traffic.

udpTimeoutSeconds integer optional

Example: 30

The UDP timeout in seconds for the VPC NAT gateway.

icmpTimeoutSeconds integer optional

Example: 30

The ICMP timeout in seconds for the VPC NAT gateway.

tcpTimeoutSeconds integer optional

Example: 30

The TCP timeout in seconds for the VPC NAT gateway.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.vpc_nat_gateways
    .byId("70e1b58d-cdec-4e95-b3ee-2d4d95feff51").put({
    name: "test-vpc-nat-gateways-updated",
    size: 2,
    vpcs: [
        {
            vpcUuid: "0eb1752f-807b-4562-a077-8018e13ab1fb",
            defaultGateway: false,
        },
    ],
    udpTimeoutSeconds: 60,
    icmpTimeoutSeconds: 60,
    tcpTimeoutSeconds: 60,
});

Response Example

Show Response Example
{
  "vpc_nat_gateway": {
    "id": "70e1b58d-cdec-4e95-b3ee-2d4d95feff51",
    "name": "test-vpc-nat-gateways",
    "type": "PUBLIC",
    "state": "ACTIVE",
    "region": "tor1",
    "size": 2,
    "vpcs": [
      {
        "vpc_uuid": "0eb1752f-807b-4562-a077-8018e13ab1fb",
        "subnet_uuid": "cbd79771-23eb-49be-b5ea-59cc56222622",
        "gateway_ip": "10.118.0.35"
      }
    ],
    "egresses": {
      "public_gateways": [
        {
          "ipv4": "174.138.113.197"
        }
      ]
    },
    "udp_timeout_seconds": 30,
    "icmp_timeout_seconds": 30,
    "tcp_timeout_seconds": 30,
    "created_at": "2025-08-12T18:43:14Z",
    "updated_at": "2025-08-12T19:00:04Z"
  }
}

More Information

See /v2/vpc_nat_gateways/{id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.